influxdb3-csharp release notes
v1.8.0
Features
- #227: Add example for write with interceptors.
v1.7.0
Features
- #220: Add InfluxDB 3 Core/Enterprise structured errors handling.
CI
v1.6.0
Features
- #193: Add option to disable gRPC query response
compression:
- New query option (
QueryOptions.DisableGrpcCompression) added:truevalue disables gRPC response compression. Default value:false(compression enabled). - Also configurable via connection string query parameter (
disableGrpcCompression). - Also configurable via environment variable (
INFLUX_DISABLE_GRPC_COMPRESSION).
- New query option (
v1.5.0
Features
- #175: Add QueryTimeout and WriteTimeout to ClientConfig.
- #179: Allows create ClientConfig from ClientConfig(string connectionString) and ClientConfig(IDictionary env)
CI
- #181: Fix CI executors parameters.
v1.4.0
Features
- #174: Support passing HttpClient to InfluxDBClient.
CI
- #170 Add tests for arm64 CircleCI.
v1.3.0
Features
- #164: Add function to get InfluxDB version.
- #168: Run integration tests against a locally started InfluxDB 3 Core server.
v1.2.0
Features
- #155: Allows setting grpc options.
- #157: Fix: always clone
DefaultOptionsto keep it immutable. - #158: Support fast writes without waiting for WAL
persistence:
- New write option (
WriteOptions.NoSync) added:truevalue means faster write but without the confirmation that the data was persisted. Default value:false. - Supported by self-managed InfluxDB 3 Core and Enterprise servers only!
- Also configurable via connection string query parameter (
writeNoSync). - Also configurable via environment variable (
INFLUX_WRITE_NO_SYNC). - Long precision string values added from v3 HTTP API:
"nanosecond","microsecond","millisecond","second"( in addition to the existing"ns","us","ms","s").
- New write option (
v1.1.0
Features
- #153: Add custom SSL root certificate support.
- New configuration items:
SslRootsFilePathDisableCertificateRevocationListCheck
- Disclaimer: Using custom SSL root certificate configurations is recommended for development and testing purposes only. For production deployments, ensure custom certificates are added to the operating system’s trusted certificate store.
- New configuration items:
v1.0.0
Features
- #132: Respect iox::column_type::field metadata when
mapping query results into values.
- iox::column_type::field::integer: => Long
- iox::column_type::field::uinteger: => Long
- iox::column_type::field::float: => Double
- iox::column_type::field::string: => String
- iox::column_type::field::boolean: => Boolean
v0.8.0
Features
1.#118: Simplify getting response headers and status code from InfluxDBApiException. Includes example runnable through Examples/General.
v0.7.0
Migration Notice
InfluxDBClientconstructor with connection options has new optionauthSchemewithnulldefault value:
- public InfluxDBClient(string host, string token, string? organization = null, string? database = null);
+ public InfluxDBClient(string host, string token, string? organization = null, string? database = null, string? authScheme = null)
This new option is used for Edge (OSS) authentication.
Features
- #101: Add standard
user-agentheader to all calls. - #111: Add InfluxDB Edge (OSS) authentication support.
Bug Fixes
- #110: InfluxDB Edge (OSS) error handling.
v0.6.0
Features
- #90: Custom
HTTP/gRPCheaders can be specified globally by config or per request
v0.5.0
Features
- #71: Add support for named query parameters
Others
- #80: Use net8.0 as a default target framework in Tests and Examples
v0.4.0
Features
- #66: Default Tags for Writes
v0.3.0
Features
- #36: Add client creation from connection string and environment variables.
- #52: Add structured query support
Docs
- #52: Add downsampling example
v0.2.0
Features
Breaking Changes
- #35: Renamed config types and some options
v0.1.0
- initial release of new client version
Was this page helpful?
Thank you for your feedback!
Support and feedback
Thank you for being part of our community! We welcome and encourage your feedback and bug reports for InfluxDB Cloud Serverless and this documentation. To find support, use the following resources:
Customers with an annual or support contract can contact InfluxData Support.